## ruby-et-orbi 1.0.5

=== Makefile ===

## gem tasks ##

NAME = \
  $(shell ruby -e "s = eval(File.read(Dir['*.gemspec'][0])); puts s.name")
VERSION = \
  $(shell ruby -e "s = eval(File.read(Dir['*.gemspec'][0])); puts s.version")

count_lines:
	find lib -name "*.rb" | xargs cat | ruby -e "p STDIN.readlines.count { |l| l = l.strip; l[0, 1] != '#' && l != '' }"
cl: count_lines

gemspec_validate:
	@echo "---"
	ruby -e "s = eval(File.read(Dir['*.gemspec'].first)); s.validate"
	@echo "---"

name: gemspec_validate
	@echo "$(NAME) $(VERSION)"

build: gemspec_validate
	gem build $(NAME).gemspec
	mkdir -p pkg
	mv $(NAME)-$(VERSION).gem pkg/

push: build
	gem push pkg/$(NAME)-$(VERSION).gem


.PHONY: build push

=== debian/changelog ===
ruby-et-orbi (1.0.5-1) unstable; urgency=medium

  * Initial release (Closes: #874538)

 -- Pirate Praveen <praveen@debian.org>  Thu, 07 Sep 2017 10:18:59 +0530

=== debian/control ===
Source: ruby-et-orbi
Section: ruby
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Build-Depends: debhelper (>= 9~),
               gem2deb,
               ruby-tzinfo
Standards-Version: 4.1.0
Vcs-Git: https://anonscm.debian.org/git/pkg-ruby-extras/ruby-et-orbi.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ruby-extras/ruby-et-orbi.git
Homepage: http://github.com/floraison/et-orbi
Testsuite: autopkgtest-pkg-ruby
XS-Ruby-Versions: all

Package: ruby-et-orbi
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby | ruby-interpreter,
         ruby-tzinfo,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Time zones for fugit and rufus-scheduler
 EtOrbi::EoTime instances quack like Ruby Time instances, but their #zone
 returns a TZInfo::TimeZone instance.

=== debian/watch ===
version=3
http://pkg-ruby-extras.alioth.debian.org/cgi-bin/gemwatch/et-orbi .*/et-orbi-(.*).tar.gz

## ruby-et-orbi 1.1.7

=== debian/changelog ===
ruby-et-orbi (1.1.7-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.1.7
  * Bump Standards-Version to 4.3.0 (no changes needed)
  * Update URL in d/copyright
  * Update description in d/control

 -- Utkarsh Gupta <guptautkarsh2102@gmail.com>  Wed, 16 Jan 2019 06:21:54 +0530

ruby-et-orbi (1.1.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream release

 -- Raju Devidas <rajudev@disroot.org>  Wed, 19 Dec 2018 23:53:04 +0530

## ruby-et-orbi 1.2.2

=== debian/changelog ===
ruby-et-orbi (1.2.2-1) unstable; urgency=medium

  * Team upload

  [ Utkarsh Gupta ]
  * Add salsa-ci.yml
  * Update d/ch

  [ Sruthi Chandran ]
  * New upstream version 1.2.2

 -- Sruthi Chandran <srud@debian.org>  Thu, 05 Sep 2019 21:00:55 +0530

=== debian/control ===
Source: ruby-et-orbi
Section: ruby
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Build-Depends: debhelper (>= 11~),
               gem2deb,
               ruby-tzinfo
Standards-Version: 4.3.0
Vcs-Git: https://salsa.debian.org/ruby-team/ruby-et-orbi.git
Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-et-orbi
Homepage: https://github.com/floraison/et-orbi
Testsuite: autopkgtest-pkg-ruby
XS-Ruby-Versions: all

Package: ruby-et-orbi
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby | ruby-interpreter,
         ruby-tzinfo,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Time zones for fugit and rufus-scheduler
 EtOrbi::EoTime instances quack like Ruby Time instances, but their #zone
 returns a TZInfo::TimeZone instance.
 .
 If Rails is present, Time.zone is provided and EtOrbi will use it, unless
 ENV['TZ'] is set to a valid timezone name. Setting ENV['TZ'] to nil can
 give back precedence to Time.zone.
 .
 Rails sets its timezone under config/application.rb.

=== debian/watch ===
version=4
https://gemwatch.debian.net/et-orbi .*/et-orbi-(.*).tar.gz

## ruby-et-orbi 1.2.7

=== Makefile ===

## gem tasks ##

NAME = \
  $(shell ruby -e "s = eval(File.read(Dir['*.gemspec'][0])); puts s.name")
VERSION = \
  $(shell ruby -e "s = eval(File.read(Dir['*.gemspec'][0])); puts s.version")

count_lines:
	find lib -name "*.rb" | xargs cat | ruby -e "p STDIN.readlines.count { |l| l = l.strip; l[0, 1] != '#' && l != '' }"
	find spec -name "*_spec.rb" | xargs cat | ruby -e "p STDIN.readlines.count { |l| l = l.strip; l[0, 1] != '#' && l != '' }"
cl: count_lines

scan:
	scan lib/**/*.rb

gemspec_validate:
	@echo "---"
	ruby -e "s = eval(File.read(Dir['*.gemspec'].first)); p s.validate"
	@echo "---"

name: gemspec_validate
	@echo "$(NAME) $(VERSION)"

cw:
	find lib -name "*.rb" -exec ruby -cw {} \;

build: gemspec_validate
	gem build $(NAME).gemspec
	mkdir -p pkg
	mv $(NAME)-$(VERSION).gem pkg/

push: build
	gem push --otp "$(OTP)" pkg/$(NAME)-$(VERSION).gem

spec:
	bundle exec rspec
test: spec


## specific to project ##

info:
	uname -a
	bundle exec ruby -v
	bundle exec ruby -Ilib -r et-orbi -e "EtOrbi._make_info"


## done ##

.PHONY: count_lines scan gemspec_validate name cw build push spec info

=== debian/changelog ===
ruby-et-orbi (1.2.7-2) unstable; urgency=medium

  * Reupload to unstable
  * Drop obsolete X{S,B}-Ruby-Versions fields

 -- Pirate Praveen <praveen@debian.org>  Tue, 13 Jun 2023 12:21:34 +0530

ruby-et-orbi (1.2.7-1) experimental; urgency=medium

  * Team upload.
  * Update standards version to 4.6.2, no changes needed.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.4.1, no changes needed.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.

  [ Cédric Boutillier ]
  * [ci skip] Update team name
  * [ci skip] Add .gitattributes to keep unwanted files out of the
     source package

  [ Vinay Keshava ]
  * New upstream version 1.2.7

 -- Vinay Keshava <vinaykeshava@disroot.org>  Mon, 20 Mar 2023 15:01:13 +0530

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,21 @@
 Source: ruby-et-orbi
 Section: ruby
 Priority: optional
-Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Pirate Praveen <praveen@debian.org>
-Build-Depends: debhelper (>= 11~),
-               gem2deb,
+Build-Depends: debhelper-compat (= 13),
+               gem2deb (>= 2.1~),
                ruby-tzinfo
-Standards-Version: 4.3.0
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/ruby-team/ruby-et-orbi.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-et-orbi
 Homepage: https://github.com/floraison/et-orbi
 Testsuite: autopkgtest-pkg-ruby
-XS-Ruby-Versions: all
+Rules-Requires-Root: no
 
 Package: ruby-et-orbi
 Architecture: all
-XB-Ruby-Versions: ${ruby:Versions}
-Depends: ruby | ruby-interpreter,
-         ruby-tzinfo,
+Depends: ${ruby:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Time zones for fugit and rufus-scheduler

## ruby-et-orbi 1.4.0

=== debian/changelog ===
ruby-et-orbi (1.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update Standards-Version to 4.7.2, no changes needed.

 -- Simon Quigley <tsimonq2@debian.org>  Fri, 21 Nov 2025 12:32:52 -0600

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
                gem2deb (>= 2.1~),
                ruby-tzinfo
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/ruby-team/ruby-et-orbi.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-et-orbi
 Homepage: https://github.com/floraison/et-orbi
